B-Spline crashing Freecad in dev version 0.19

Post here for help on using FreeCAD's graphical user interface (GUI).
Forum rules
and Helpful information
IMPORTANT: Please click here and read this first, before asking for help

Also, be nice to others! Read the FreeCAD code of conduct!
PJtraveler
Posts: 30
Joined: Mon Apr 23, 2018 2:57 pm

Re: B-Spline crashing Freecad in dev version 0.19

Post by PJtraveler »

Doing a complete uninstall (used Revo) and then a re-install the problem still exists. I tried with a different mouse and the problem still exists.
PJtraveler
Posts: 30
Joined: Mon Apr 23, 2018 2:57 pm

Re: B-Spline crashing Freecad in dev version 0.19

Post by PJtraveler »

Errors after clean install are below:
What else can be done to isolate the error?
Log

Code: Select all

Module: Part
Loading Part module... done
Loading GUI of Part module... done
Loading Sketcher module... done
Loading GUI of Sketcher module... done
Sketcher::setUpSketch()-T:0
Sketcher::Solve()-DogLeg-T:0
Sketcher::setUpSketch()-T:0
Sketcher::Solve()-DogLeg-T:0
Sketcher::setUpSketch()-T:0
Sketcher::Solve()-DogLeg-T:0
Sketcher::setUpSketch()-T:0
Sketcher::Solve()-DogLeg-T:0
Sketcher::setUpSketch()-T:0
Sketcher::Solve()-DogLeg-T:0
Sketcher::setUpSketch()-T:0
Sketcher::Solve()-DogLeg-T:0
Sketcher::setUpSketch()-T:0.001
Sketcher::Solve()-DogLeg-T:0
Unhandled Base::Exception caught in GUIApplication::notify.
The error message is: Access violation
The event type 12 was sent to QOpenGLWidget
Object tree:
	QOpenGLWidget is child of
	SIM::Coin3D::Quarter::QuarterWidget is child of
	QStackedWidget is child of
	Gui::View3DInventor is child of
	QMdiSubWindow is child of
	QWidget is child of
	QMdiArea is child of
	Gui::MainWindowSketcher::setUpSketch()-T:0
Sketcher::Solve()-DogLeg-T:0
Unhandled Base::Exception caught in GUIApplication::notify.
The error message is: Access violation
The event type 12 was sent to QOpenGLWidget
Object tree:
	QOpenGLWidget is child of
	SIM::Coin3D::Quarter::QuarterWidget is child of
	QStackedWidget is child of
	Gui::View3DInventor is child of
	QMdiSubWindow is child of
	QWidget is child of
	QMdiArea is child of
	Gui::MainWindowUnhandled Base::Exception caught in GUIApplication::notify.
The error message is: Access violation
Unhandled exception in ViewProvider::eventCallback: Access violation
(Event type: SoLocation2Event, object type: SketcherGui::ViewProviderSketch)
Unhandled Base::Exception caught in GUIApplication::notify.
The error message is: Access violation
The event type 12 was sent to QOpenGLWidget
Python Console

Code: Select all

Python 3.6.6 | packaged by conda-forge | (default, Jul 26 2018, 11:48:23) [MSC v.1900 64 bit (AMD64)] on win32
Type 'help', 'copyright', 'credits' or 'license' for more information.
>>> Gui.activateWorkbench("SketcherWorkbench")
>>> App.newDocument("Unnamed")
>>> App.setActiveDocument("Unnamed")
>>> App.ActiveDocument=App.getDocument("Unnamed")
>>> Gui.ActiveDocument=Gui.getDocument("Unnamed")
>>> Gui.activeDocument().activeView().viewDefaultOrientation()
>>> App.activeDocument().addObject('Sketcher::SketchObject','Sketch')
>>> App.activeDocument().Sketch.Placement = App.Placement(App.Vector(0.000000,0.000000,0.000000),App.Rotation(0.000000,0.000000,0.000000,1.000000))
>>> App.activeDocument().Sketch.MapMode = "Deactivated"
>>> Gui.activeDocument().activeView().setCamera('#Inventor V2.1 ascii \n OrthographicCamera {\n viewportMapping ADJUST_CAMERA \n position 0 0 87 \n orientation 0 0 1  0 \n nearDistance -112.88701 \n farDistance 287.28702 \n aspectRatio 1 \n focalDistance 87 \n height 143.52005 }')
>>> Gui.activeDocument().setEdit('Sketch')
>>> import Show.TempoVis
>>> ActiveSketch = App.ActiveDocument.getObject('Sketch')
>>> tv = Show.TempoVis(App.ActiveDocument)
>>> if ActiveSketch.ViewObject.HideDependent:
>>>   objs = tv.get_all_dependent(ActiveSketch)
>>>   objs = filter(lambda x: not x.TypeId.startswith("TechDraw::"), objs)
>>>   objs = filter(lambda x: not x.TypeId.startswith("Drawing::"), objs)
>>>   tv.hide(objs)
>>> if ActiveSketch.ViewObject.ShowSupport:
>>>   tv.show([ref[0] for ref in ActiveSketch.Support if not ref[0].isDerivedFrom("PartDesign::Plane")])
>>> if ActiveSketch.ViewObject.ShowLinks:
>>>   tv.show([ref[0] for ref in ActiveSketch.ExternalGeometry])
>>> tv.hide(ActiveSketch)
>>> ActiveSketch.ViewObject.TempoVis = tv
>>> del(tv)
>>> 
>>> ActiveSketch = App.ActiveDocument.getObject('Sketch')
>>> if ActiveSketch.ViewObject.RestoreCamera:
>>>   ActiveSketch.ViewObject.TempoVis.saveCamera()
>>> 
>>> App.ActiveDocument.Sketch.addGeometry(Part.Circle(App.Vector(-61.508595,30.987280,0),App.Vector(0,0,1),10),True)
>>> App.ActiveDocument.Sketch.addGeometry(Part.Circle(App.Vector(-50.558201,3.494806,0),App.Vector(0,0,1),10),True)
>>> App.ActiveDocument.Sketch.addConstraint(Sketcher.Constraint('Radius',0,5.000000)) 
>>> App.ActiveDocument.Sketch.addConstraint(Sketcher.Constraint('Equal',0,1)) 
>>> App.ActiveDocument.Sketch.addGeometry(Part.Circle(App.Vector(-20.735853,20.968842,0),App.Vector(0,0,1),10),True)
>>> App.ActiveDocument.Sketch.addConstraint(Sketcher.Constraint('Equal',0,2)) 
>>> App.ActiveDocument.Sketch.addGeometry(Part.Circle(App.Vector(-7.455585,-8.387534,0),App.Vector(0,0,1),10),True)
>>> App.ActiveDocument.Sketch.addConstraint(Sketcher.Constraint('Equal',0,3)) 
>>> App.ActiveDocument.Sketch.addGeometry(Part.BSplineCurve([App.Vector(-61.5086,30.9873),App.Vector(-50.5582,3.49481),App.Vector(-20.7359,20.9688),App.Vector(-7.45559,-8.38753)],None,None,False,3,None,False),False)
>>> conList = []
>>> conList.append(Sketcher.Constraint('InternalAlignment:Sketcher::BSplineControlPoint',0,3,4,0))
>>> conList.append(Sketcher.Constraint('InternalAlignment:Sketcher::BSplineControlPoint',1,3,4,1))
>>> conList.append(Sketcher.Constraint('InternalAlignment:Sketcher::BSplineControlPoint',2,3,4,2))
>>> conList.append(Sketcher.Constraint('InternalAlignment:Sketcher::BSplineControlPoint',3,3,4,3))
>>> App.ActiveDocument.Sketch.addConstraint(conList)
>>> 
>>> App.ActiveDocument.Sketch.exposeInternalGeometry(4)
>>> App.ActiveDocument.recompute()
>>> 
PJtraveler
Posts: 30
Joined: Mon Apr 23, 2018 2:57 pm

Re: B-Spline crashing Freecad in dev version 0.19

Post by PJtraveler »

?Could the issue be that I have Python 3.8 in my Path before FreeCad, and Freecad seems to be built on Python 3.6?
GeneFC
Veteran
Posts: 5373
Joined: Sat Mar 19, 2016 3:36 pm
Location: Punta Gorda, FL

Re: B-Spline crashing Freecad in dev version 0.19

Post by GeneFC »

PJtraveler wrote: Wed Jan 13, 2021 4:53 pm ?Could the issue be that I have Python 3.8 in my Path before FreeCad, and Freecad seems to be built on Python 3.6?
I have been using lots of different versions of FreeCAD for years on both Windows 7 and Windows 10. I have absolutely nothing in any Path (user or system) related to FreeCAD.

At one time I had links to Boost, Python, etc., and they sometimes caused problems.

FreeCAD for Windows is stand-alone. It needs nothing linked from Path.

Gene
PJtraveler
Posts: 30
Joined: Mon Apr 23, 2018 2:57 pm

Re: B-Spline crashing Freecad in dev version 0.19

Post by PJtraveler »

Gene,
Thanks for your input :-)

I've deleted Python from the system and the problems still persist, although I am now able to move the control points before FC crashes.
chrisb
Veteran
Posts: 54213
Joined: Tue Mar 17, 2015 9:14 am

Re: B-Spline crashing Freecad in dev version 0.19

Post by chrisb »

GeneFC wrote: Wed Jan 13, 2021 10:27 pm I have been using lots of different versions of FreeCAD for years on both Windows 7 and Windows 10. I have absolutely nothing in any Path (user or system) related to FreeCAD.
Did you ever install FreeCAD? That may do additional things beyond just unpacking.
A Sketcher Lecture with in-depth information is available in English, auf Deutsch, en français, en español.
UR_
Veteran
Posts: 1355
Joined: Tue Jan 03, 2017 8:42 pm

Re: B-Spline crashing Freecad in dev version 0.19

Post by UR_ »

Can you please test starting freecad using this batch file:

freecad.bat.zip
(188 Bytes) Downloaded 44 times

- unzip batch file into that folder, where freecad.exe could be found.

- double click freecad.bat in file explorer.
GeneFC
Veteran
Posts: 5373
Joined: Sat Mar 19, 2016 3:36 pm
Location: Punta Gorda, FL

Re: B-Spline crashing Freecad in dev version 0.19

Post by GeneFC »

chrisb wrote: Thu Jan 14, 2021 4:56 pm Did you ever install FreeCAD? That may do additional things beyond just unpacking.
I installed the release version of 0.18, but I did not install any version of 0.19 because there is no installer.

Frankly I do not remember if anything was added to Path when 0.18 was installed, but I had been messing around with Boost and Python as I noted earlier. If anything was added to Path by the 0.18 installer I probably removed it a long time ago.

The point was that there is no need for any FC links in Path.

I also avoid allowing anything to install in the Program Files folder if I have a choice. Windows does all sorts of strange things (protections) to stuff installed there. Of course that means I need to trust that FC is not malware.

Gene
chrisb
Veteran
Posts: 54213
Joined: Tue Mar 17, 2015 9:14 am

Re: B-Spline crashing Freecad in dev version 0.19

Post by chrisb »

GeneFC wrote: Thu Jan 14, 2021 9:16 pm The point was that there is no need for any FC links in Path.
Right you are!
Sometimes I get a little wistful when I think that there were times when a program was uninstalled by simply deleting a folder.
A Sketcher Lecture with in-depth information is available in English, auf Deutsch, en français, en español.
PJtraveler
Posts: 30
Joined: Mon Apr 23, 2018 2:57 pm

Re: B-Spline crashing Freecad in dev version 0.19

Post by PJtraveler »

The .bat file was a good suggestion !
FC will not start with an empty path!
Graphviz is in the path, I thought FC required Graphviz.

I'll work on isolating what FC needs from the path
Post Reply